
Katello - Bug #6898

deleteing a host does not delete a content host, generates a FK constrain error

08/04/2014 04:23 AM - Ohad Levy

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Hosts   

Target version: Katello Recycle Bin   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

upon trying to delete a foreman host with content, the following is observed:

ERROR: update or delete on table "hosts" violates foreign key constraint "katello_systems_host_id"

 on table "katello_systems" DETAIL: Key (id)=(6) is still referenced from table "katello_systems".

Related issues:

Related to Katello - Bug #6897: unable to view foreman hosts show page Duplicate 08/03/2014

Has duplicate Katello - Bug #7005: Unable to delete host tied back to activat... Closed 08/09/2014

History

#1 - 08/04/2014 10:43 AM - Eric Helms

- Target version set to 54

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 08/04/2014 10:53 AM - Eric Helms

- Related to Bug #6897: unable to view foreman hosts show page added

#3 - 08/15/2014 01:48 PM - Brad Buckingham

- Status changed from New to Duplicate

This one appears to be a duplicate of http://projects.theforeman.org/issues/7005.  If you see the issue persist, now that 7005 has been merged,

please do let us know.  Thanks!

#4 - 08/15/2014 01:48 PM - Brad Buckingham

- Has duplicate Bug #7005: Unable to delete host tied back to activation key added

#5 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13

#6 - 03/21/2015 11:03 AM - Eric Helms

- translation missing: en.field_release deleted (13)

#7 - 07/08/2016 11:21 AM - Eric Helms

- translation missing: en.field_release set to 166
